Give error if puppet binary is not found when running bootstrap-server.sh.

This commit is contained in:
Timo Mkinen 2011-03-30 16:38:56 +03:00
parent e491a66ef4
commit 5e9d0bbdde

View file

@ -2,7 +2,13 @@
hostname -f | fgrep "." > /dev/null
if [ $? -ne 0 ]; then
echo "error, command 'hostname -f' does not return domainname"
echo "error, command 'hostname -f' does not return domainname" 1>&2
exit 1
fi
which puppet > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo "error, puppet binary not in path" 1>&2
exit 1
fi